Package net.sf.saxon.style

## Enum SourceBinding.BindingProperty

- java.lang.Object
- - java.lang.Enum<SourceBinding.BindingProperty>
  - - net.sf.saxon.style.SourceBinding.BindingProperty

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SourceBinding.BindingProperty>`
  Enclosing class:
    SourceBinding

      public static enum SourceBinding.BindingProperty
      extends java.lang.Enum<SourceBinding.BindingProperty>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AS` |
    `ASSIGNABLE` |
    `DISALLOWS_CONTENT` |
    `GLOBAL` |
    `IMPLICITLY_DECLARED` |
    `IMPLICITLY_REQUIRED` |
    `PARAM` |
    `PRIVATE` |
    `REQUIRED` |
    `SELECT` |
    `STATIC` |
    `TUNNEL` |
    `VISIBILITY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SourceBinding.BindingProperty` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SourceBinding.BindingProperty[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIVATE

          public static final SourceBinding.BindingProperty PRIVATE

    - #### GLOBAL

          public static final SourceBinding.BindingProperty GLOBAL

    - #### PARAM

          public static final SourceBinding.BindingProperty PARAM

    - #### TUNNEL

          public static final SourceBinding.BindingProperty TUNNEL

    - #### REQUIRED

          public static final SourceBinding.BindingProperty REQUIRED

    - #### IMPLICITLY_REQUIRED

          public static final SourceBinding.BindingProperty IMPLICITLY_REQUIRED

    - #### ASSIGNABLE

          public static final SourceBinding.BindingProperty ASSIGNABLE

    - #### SELECT

          public static final SourceBinding.BindingProperty SELECT

    - #### AS

          public static final SourceBinding.BindingProperty AS

    - #### DISALLOWS_CONTENT

          public static final SourceBinding.BindingProperty DISALLOWS_CONTENT

    - #### STATIC

          public static final SourceBinding.BindingProperty STATIC

    - #### VISIBILITY

          public static final SourceBinding.BindingProperty VISIBILITY

    - #### IMPLICITLY_DECLARED

          public static final SourceBinding.BindingProperty IMPLICITLY_DECLARED

  - ### Method Detail

    - #### values

          public static SourceBinding.BindingProperty[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SourceBinding.BindingProperty c : SourceBinding.BindingProperty.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SourceBinding.BindingProperty valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null